Bug 736560 - [RFE]Request virt-manager to support spice multihead
Summary: [RFE]Request virt-manager to support spice multihead
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-manager
Version: 6.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Cole Robinson
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 756082
TreeView+ depends on / blocked
 
Reported: 2011-09-08 05:29 UTC by zhe peng
Modified: 2011-12-23 18:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-09 16:45:38 UTC


Attachments (Terms of Use)

Description zhe peng 2011-09-08 05:29:35 UTC
Description of problem:
virt-manager should support spice multihead

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-6.el6


How reproducible:
always

Steps to Reproduce:
  1:Install a new Windows XP guest
  2:Change the guest to use SPICE graphics and have a single QXL video card
  3:Boot the guest, and install the WHQL'd 'QXL' driver in Windows.
  4:Reboot the guest and check QXL is working properly
  5:Shutdown the guest
  6:Add another 'video' element to the guest XML
  #virsh dumpxml winxp
.......
 <graphics type='spice' port='5900' tlsPort='-1' autoport='yes'
listen='0.0.0.0'>
      <listen type='address' address='0.0.0.0'/>
    </graphics>
    <video>
      <model type='qxl' vram='65536' heads='1'/>
      <alias name='video0'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x02'
function='0x0'/>
    </video>
    <video>
      <model type='qxl' vram='65536' heads='1'/>
      <alias name='video1'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06'
function='0x0'/>
    </video>
.......
   7: Boot the guest again, and make sure Windows installs the QXL driver for
the new graphics card
   8:in Windows XP guest,right click on the desktop,in
"settings"->"Display",list two monitor on "Red Hat QXL GPU"
   9: select the second monitor,checked "Extend my Windows desktop onto this
monitor" and apply
  10: #virt-manager
  11: in virt-manager , open the guest
Actual results:
  only open one graphic console

Expected results:
  support spice multi-head ,will open two graphic console,same behavior with 
using virt-viewer.

Additional info:

Comment 2 Cole Robinson 2011-09-22 15:53:12 UTC
Not sure why this is marked as an exception, I don't think it's that urgent to support this parameter for 6.2. Deferring to 6.3

Comment 5 RHEL Product and Program Management 2011-12-09 16:45:38 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.